/*
Navicat MySQL Data Transfer

Source Server         : 本地开发
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : wechat

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2020-12-18 10:29:16
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for ai_ais_adwords
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_adwords`;
CREATE TABLE `ai_ais_adwords` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT '0',
  `open_type` varchar(50) DEFAULT NULL,
  `group` varchar(100) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `link` varchar(200) DEFAULT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_bank
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_bank`;
CREATE TABLE `ai_ais_bank` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `money` decimal(10,2) DEFAULT '0.00' COMMENT '帐号余额',
  `tobo_paid` decimal(10,2) DEFAULT '0.00' COMMENT '锁定金额',
  `pledge_money` decimal(10,2) DEFAULT NULL,
  `point` bigint(20) DEFAULT '0' COMMENT '积分',
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_bank_cash
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_bank_cash`;
CREATE TABLE `ai_ais_bank_cash` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `money` decimal(10,2) DEFAULT '0.00' COMMENT '申请金额',
  `realmoney` decimal(10,2) DEFAULT '0.00' COMMENT '实际到账',
  `update_time` int(11) DEFAULT NULL,
  `state` tinyint(1) DEFAULT '0' COMMENT '0新申请1通过-1不通过',
  `audit_time` int(11) DEFAULT NULL,
  `trade_no` varchar(100) DEFAULT NULL,
  `msg` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='提现申请列表';

-- ----------------------------
-- Table structure for ai_ais_bill
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_bill`;
CREATE TABLE `ai_ais_bill` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT '0',
  `uid` bigint(20) DEFAULT '0',
  `pay_uid` bigint(20) DEFAULT '0',
  `money` decimal(10,2) DEFAULT '0.00',
  `message` tinytext,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `id_2` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='个人财务记录';

-- ----------------------------
-- Table structure for ai_ais_card
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_card`;
CREATE TABLE `ai_ais_card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  `is_end` tinyint(1) DEFAULT '0',
  `store_id` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `price` decimal(11,2) DEFAULT NULL,
  `tips` text,
  `coupon_id` bigint(20) DEFAULT NULL,
  `coupon_ids` text,
  `locktime` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_card_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_card_order`;
CREATE TABLE `ai_ais_card_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `uid` bigint(11) DEFAULT NULL,
  `card_id` int(11) DEFAULT NULL,
  `coupon_id` bigint(11) DEFAULT NULL,
  `user_card_id` int(11) DEFAULT NULL,
  `coupon_ids` varchar(255) DEFAULT NULL COMMENT '赠品列表',
  `state` tinyint(1) DEFAULT '0',
  `price` decimal(10,2) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL,
  `order_no` varchar(255) DEFAULT NULL,
  `paid_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`),
  KEY `APIID` (`member_miniapp_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_card_user
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_card_user`;
CREATE TABLE `ai_ais_card_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(11) DEFAULT NULL,
  `user_coupon_id` bigint(11) DEFAULT '0',
  `store_id` int(11) DEFAULT NULL,
  `card_id` int(11) DEFAULT NULL,
  `amount` decimal(11,2) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`) USING BTREE,
  KEY `APIID` (`member_miniapp_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_city
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_city`;
CREATE TABLE `ai_ais_city` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  `code` bigint(12) DEFAULT NULL COMMENT '行政区划代码',
  `name` varchar(32) DEFAULT NULL COMMENT '名称',
  `parent_id` bigint(11) DEFAULT NULL COMMENT '上级id',
  `level` varchar(32) DEFAULT NULL COMMENT 'level_id',
  `sort` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_config
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_config`;
CREATE TABLE `ai_ais_config` (
  `member_miniapp_id` int(11) NOT NULL,
  `coupon_longtime` tinyint(4) DEFAULT '0',
  `coupon_is_pay_open` tinyint(2) DEFAULT NULL,
  `group_join` int(11) DEFAULT NULL,
  `group_member` int(11) DEFAULT NULL,
  `group_profit` int(11) DEFAULT NULL COMMENT '引流分润',
  `city_sharing_price` decimal(10,2) DEFAULT NULL,
  `city_only_price` decimal(10,2) DEFAULT NULL,
  `mchid` int(11) DEFAULT NULL,
  `charge` tinyint(3) DEFAULT NULL,
  `service_telephone` varchar(100) DEFAULT NULL,
  `qq_lbs_key` varchar(100) DEFAULT NULL,
  `sla` text,
  `writer` text,
  `info` text COMMENT '城市号配置',
  PRIMARY KEY (`member_miniapp_id`),
  UNIQUE KEY `APPID` (`member_miniapp_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_coupon
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_coupon`;
CREATE TABLE `ai_ais_coupon` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `citycode` int(6) DEFAULT NULL,
  `is_top` tinyint(1) DEFAULT '0',
  `is_lock` tinyint(1) DEFAULT '0' COMMENT '锁定',
  `is_end` tinyint(1) DEFAULT '0' COMMENT '是否过期失效或删除',
  `types` tinyint(1) DEFAULT '0' COMMENT '0满减/抵扣1满折/折扣/2兑换券3储值券',
  `discount` float(2,1) DEFAULT '0.0' COMMENT '折扣力度',
  `price` int(11) DEFAULT '0' COMMENT '满减代金券',
  `amount` int(11) DEFAULT '0' COMMENT '额度大小',
  `howmuch` int(10) DEFAULT '0' COMMENT '满多少用',
  `name` varchar(255) DEFAULT NULL,
  `tips` varchar(255) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `num` int(11) DEFAULT '0' COMMENT '发行数量',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL COMMENT '0',
  PRIMARY KEY (`id`),
  KEY `APPID` (`member_miniapp_id`) USING BTREE,
  KEY `STOREID` (`store_id`) USING BTREE,
  KEY `CITYID` (`citycode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_coupon_subsidize
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_coupon_subsidize`;
CREATE TABLE `ai_ais_coupon_subsidize` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `coupon_id` int(11) NOT NULL COMMENT '赠品ID',
  `how_much` decimal(10,2) DEFAULT NULL COMMENT '补贴金额',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='补贴优惠券';

-- ----------------------------
-- Table structure for ai_ais_coupon_user
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_coupon_user`;
CREATE TABLE `ai_ais_coupon_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `coupon_id` int(11) DEFAULT NULL,
  `parent_store_id` int(11) DEFAULT '0',
  `uid` bigint(20) DEFAULT NULL,
  `is_end` tinyint(1) DEFAULT '0',
  `types` tinyint(4) DEFAULT '0' COMMENT '0满减/抵扣1满折/折扣/2兑换券3储值券',
  `discount` float(2,1) DEFAULT NULL,
  `price` int(11) DEFAULT NULL COMMENT '分',
  `amount` int(11) DEFAULT NULL,
  `howmuch` int(10) DEFAULT NULL COMMENT '元',
  `name` varchar(255) DEFAULT NULL,
  `tips` varchar(255) DEFAULT NULL,
  `group_ids` varchar(11) DEFAULT '0',
  `money` decimal(10,2) DEFAULT '0.00' COMMENT '优惠多少钱',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `APPID` (`member_miniapp_id`) USING BTREE,
  KEY `STOREID` (`store_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户的赠品';

-- ----------------------------
-- Table structure for ai_ais_fund
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_fund`;
CREATE TABLE `ai_ais_fund` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `balance` decimal(10,2) DEFAULT NULL,
  `subsidize` decimal(10,2) DEFAULT NULL,
  `subsidize_num` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='采购基金';

-- ----------------------------
-- Table structure for ai_ais_fund_bill
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_fund_bill`;
CREATE TABLE `ai_ais_fund_bill` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `types` tinyint(13) DEFAULT NULL COMMENT '0入1出',
  `state` tinyint(2) DEFAULT '0' COMMENT '1成功 2失败',
  `money` decimal(10,2) DEFAULT NULL,
  `order_no` varchar(100) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基金账单';

-- ----------------------------
-- Table structure for ai_ais_income
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_income`;
CREATE TABLE `ai_ais_income` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT '0',
  `pay_uid` bigint(20) DEFAULT '0',
  `types` tinyint(1) DEFAULT '0' COMMENT '1买单2优选3会员4城市号',
  `money` decimal(10,2) DEFAULT '0.00',
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `id_2` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='收入账单';

-- ----------------------------
-- Table structure for ai_ais_info
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info`;
CREATE TABLE `ai_ais_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) DEFAULT NULL,
  `cate_id` int(11) DEFAULT NULL,
  `citycode` int(6) DEFAULT NULL,
  `store_id` int(11) DEFAULT '0',
  `member_miniapp_id` int(11) DEFAULT NULL,
  `themes` text,
  `fields` text,
  `telphone` varchar(255) DEFAULT NULL,
  `url_slogan` varchar(255) DEFAULT NULL,
  `links` varchar(255) DEFAULT NULL,
  `is_get` tinyint(2) DEFAULT '0' COMMENT '是否获取用户信息',
  `price` decimal(10,2) DEFAULT '0.00' COMMENT '获取用户价格',
  `video` varchar(255) DEFAULT NULL,
  `images` text,
  `is_top` int(11) DEFAULT '0',
  `topday` int(11) DEFAULT NULL,
  `top_money` bigint(20) DEFAULT NULL,
  `order_no` varchar(100) DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `paid_time` int(11) DEFAULT '0',
  `paid_no` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `views` int(11) DEFAULT '0' COMMENT '阅读人数',
  `like` int(11) DEFAULT '0' COMMENT '点赞人数',
  `like_face` text,
  `reply_num` int(11) DEFAULT '0' COMMENT '评论人数',
  `is_lock` tinyint(1) DEFAULT '0',
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `UID` (`uid`),
  KEY `MID` (`member_miniapp_id`),
  KEY `CITYID` (`citycode`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_info_cate
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_cate`;
CREATE TABLE `ai_ais_info_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `tpl_id` int(11) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='信息栏目';

-- ----------------------------
-- Table structure for ai_ais_info_follow
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_follow`;
CREATE TABLE `ai_ais_info_follow` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `like_uid` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='关注与取消';

-- ----------------------------
-- Table structure for ai_ais_info_mp
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_mp`;
CREATE TABLE `ai_ais_info_mp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `logo` varchar(100) DEFAULT NULL,
  `skin` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `note` varchar(100) DEFAULT NULL,
  `is_vip` tinyint(1) DEFAULT '0',
  `is_apply` tinyint(1) DEFAULT '0',
  `vip_title` varchar(100) DEFAULT NULL,
  `vip_about` varchar(255) DEFAULT NULL,
  `vip_time` int(11) DEFAULT NULL,
  `reg_time` int(11) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  `fans` int(255) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_info_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_order`;
CREATE TABLE `ai_ais_info_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `info_id` int(11) DEFAULT NULL,
  `info_uid` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT '0',
  `is_del` tinyint(1) DEFAULT '0',
  `phone` varchar(255) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT '0.00' COMMENT '单商品价格总额',
  `order_no` varchar(50) DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `fields` text,
  `cache` text,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ORDER_NO` (`order_no`) USING BTREE,
  KEY `IS_DEL` (`is_del`) USING BTREE,
  KEY `STATUS` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_info_reply
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_reply`;
CREATE TABLE `ai_ais_info_reply` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `info_id` int(11) DEFAULT NULL,
  `reply` varchar(255) DEFAULT NULL,
  `like` int(11) DEFAULT '0',
  `create_time` int(11) DEFAULT NULL,
  `state` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_info_tpl
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_info_tpl`;
CREATE TABLE `ai_ais_info_tpl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `name` varchar(20) DEFAULT NULL,
  `is_shop` tinyint(1) DEFAULT '0',
  `button_name` varchar(20) DEFAULT NULL,
  `tips` varchar(255) DEFAULT NULL,
  `users` text,
  `fields` text,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品规格';

-- ----------------------------
-- Table structure for ai_ais_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_order`;
CREATE TABLE `ai_ais_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT '0' COMMENT '总店',
  `store_chain_id` int(11) DEFAULT '0' COMMENT '分店',
  `uid` bigint(20) DEFAULT NULL,
  `coupon_user_id` int(11) DEFAULT NULL,
  `parent_store_id` int(11) DEFAULT '0',
  `parent_store_price` decimal(10,2) DEFAULT '0.00',
  `amount` decimal(10,2) DEFAULT NULL COMMENT '应付金额',
  `price` decimal(10,2) DEFAULT NULL COMMENT '实付金额',
  `state` tinyint(2) DEFAULT '0',
  `order_no` varchar(255) DEFAULT NULL,
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `coupon_cache` text,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_queen
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_queen`;
CREATE TABLE `ai_ais_queen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `types` tinyint(1) DEFAULT '0' COMMENT '0:open|1:mchid',
  `store_id` bigint(20) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `mch_id` bigint(20) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `transaction_id` varchar(64) DEFAULT NULL,
  `out_order_no` varchar(64) DEFAULT NULL,
  `order_id` varchar(64) DEFAULT NULL,
  `is_finish` tinyint(1) DEFAULT NULL COMMENT '0排队1失败2成',
  `msg` varchar(255) DEFAULT NULL,
  `sms` varchar(255) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务队列';

-- ----------------------------
-- Table structure for ai_ais_shop
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_shop`;
CREATE TABLE `ai_ais_shop` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `store_id` int(11) DEFAULT NULL,
  `citycode` int(6) DEFAULT NULL,
  `member_miniapp_id` int(11) NOT NULL,
  `category_id` bigint(20) DEFAULT NULL,
  `coupon_id` bigint(20) DEFAULT NULL,
  `is_sale` tinyint(1) DEFAULT '0' COMMENT '0:下架、1:上架',
  `is_del` tinyint(1) DEFAULT '0',
  `types` tinyint(1) DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `cost_price` decimal(10,2) DEFAULT NULL,
  `sell_price` decimal(10,2) DEFAULT '0.00',
  `market_price` decimal(10,2) DEFAULT '0.00',
  `vip_price` decimal(10,2) DEFAULT NULL,
  `points_price` int(11) DEFAULT NULL,
  `warehouse_num` int(11) DEFAULT '0',
  `warehouse_sellnum` int(11) DEFAULT '0',
  `imgs` text,
  `img` varchar(255) DEFAULT NULL,
  `group_title` varchar(255) DEFAULT NULL,
  `group_note` varchar(255) DEFAULT NULL,
  `group_img` varchar(255) DEFAULT NULL,
  `keyword` varchar(255) DEFAULT NULL,
  `notice` text,
  `like` int(11) DEFAULT '0',
  `share_ids` text,
  `share_price` int(11) DEFAULT NULL,
  `share_vip_price` int(11) DEFAULT NULL,
  `content` mediumtext,
  `sort` int(11) DEFAULT '0',
  `end_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`,`member_miniapp_id`),
  UNIQUE KEY `ID` (`id`) USING BTREE,
  KEY `IS_SALE` (`is_sale`) USING BTREE,
  KEY `CITYID` (`citycode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品主表';

-- ----------------------------
-- Table structure for ai_ais_shop_cate
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_shop_cate`;
CREATE TABLE `ai_ais_shop_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `types` tinyint(1) DEFAULT '0',
  `show_type` tinyint(1) DEFAULT '0',
  `title` varchar(50) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品目录';

-- ----------------------------
-- Table structure for ai_ais_shop_coupon
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_shop_coupon`;
CREATE TABLE `ai_ais_shop_coupon` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `coupon_id` int(11) DEFAULT NULL,
  `shop_id` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `STOREID` (`coupon_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='支付有礼';

-- ----------------------------
-- Table structure for ai_ais_shop_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_shop_order`;
CREATE TABLE `ai_ais_shop_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `share_uid` int(11) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `shop_id` int(11) DEFAULT NULL,
  `order_no` varchar(50) DEFAULT NULL,
  `status` tinyint(1) DEFAULT '0',
  `is_del` tinyint(1) DEFAULT '0',
  `sell_price` decimal(10,2) DEFAULT '0.00',
  `amount` decimal(10,2) DEFAULT '0.00' COMMENT '单商品价格总额',
  `points` int(11) DEFAULT NULL,
  `thrifty` decimal(10,2) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `shop_cache` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ORDER_NO` (`order_no`) USING BTREE,
  KEY `IS_DEL` (`is_del`) USING BTREE,
  KEY `STATUS` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_store
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store`;
CREATE TABLE `ai_ais_store` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `manage_uid` int(11) DEFAULT '0',
  `citypath` varchar(255) DEFAULT NULL,
  `citycode` int(6) DEFAULT NULL,
  `mch_id` int(11) DEFAULT NULL,
  `cate_id` int(11) DEFAULT NULL,
  `cate_sid` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `img` varchar(255) DEFAULT NULL,
  `imgs` text,
  `address` varchar(255) DEFAULT NULL,
  `telphone` varchar(255) DEFAULT NULL,
  `longitude` decimal(10,7) DEFAULT NULL COMMENT '地图坐标',
  `latitude` decimal(10,7) DEFAULT NULL,
  `charge` int(10) DEFAULT '0',
  `tags` text,
  `sort` int(11) DEFAULT '0',
  `is_top` tinyint(1) DEFAULT '0',
  `is_lock` tinyint(1) DEFAULT '0',
  `create_time` int(11) DEFAULT NULL,
  `views` int(11) DEFAULT '0',
  `likes` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `APPID` (`member_miniapp_id`) USING BTREE,
  KEY `CID` (`cate_id`) USING BTREE,
  KEY `CITYID` (`citycode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_store_bill
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_bill`;
CREATE TABLE `ai_ais_store_bill` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT '0',
  `store_chain_id` int(11) DEFAULT '0',
  `pay_uid` bigint(20) DEFAULT '0',
  `money` decimal(10,2) DEFAULT '0.00',
  `message` tinytext,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE,
  KEY `STORE_ID` (`store_id`) USING BTREE,
  KEY `UID` (`pay_uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='好店账单';

-- ----------------------------
-- Table structure for ai_ais_store_cate
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_cate`;
CREATE TABLE `ai_ais_store_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `root_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE,
  KEY `PARENT_ID` (`parent_id`,`root_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='分类信息栏目';

-- ----------------------------
-- Table structure for ai_ais_store_chain
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_chain`;
CREATE TABLE `ai_ais_store_chain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `telphone` varchar(50) DEFAULT NULL,
  `longitude` varchar(20) DEFAULT NULL,
  `latitude` varchar(20) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='连锁门店';

-- ----------------------------
-- Table structure for ai_ais_store_group
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_group`;
CREATE TABLE `ai_ais_store_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `face` varchar(255) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商圈';

-- ----------------------------
-- Table structure for ai_ais_store_union
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_union`;
CREATE TABLE `ai_ais_store_union` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `type` tinyint(2) DEFAULT NULL COMMENT '0正常 1待审核 2拒绝 3退出 4 踢出',
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商家和圈关联';

-- ----------------------------
-- Table structure for ai_ais_store_worker
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_store_worker`;
CREATE TABLE `ai_ais_store_worker` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `store_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `is_cashier` tinyint(1) DEFAULT '0' COMMENT '是否收银员',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工作人员';

-- ----------------------------
-- Table structure for ai_ais_vip
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_vip`;
CREATE TABLE `ai_ais_vip` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  `is_auto_up` tinyint(1) DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `rule` text,
  `price` decimal(10,2) DEFAULT NULL,
  `open_vip_num` int(11) DEFAULT NULL,
  `open_store_num` int(11) DEFAULT NULL,
  `pay_share_reward` tinyint(4) DEFAULT NULL,
  `pay_queue_reward` tinyint(4) DEFAULT NULL,
  `open_share_reward` decimal(10,2) DEFAULT NULL,
  `open_queue_reward` decimal(10,2) DEFAULT NULL,
  `icp_award` int(4) DEFAULT '0',
  `fund` decimal(10,2) DEFAULT NULL,
  `coupon_ids` varchar(255) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_vip_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_vip_order`;
CREATE TABLE `ai_ais_vip_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT '0',
  `vip_id` int(11) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT NULL,
  `state` tinyint(1) DEFAULT '0',
  `order_no` varchar(255) DEFAULT NULL,
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `coupon_ids` varchar(255) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_ais_vip_user
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_vip_user`;
CREATE TABLE `ai_ais_vip_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT '0',
  `vip_id` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `point` int(11) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET FOREIGN_KEY_CHECKS=1;
