<?php
/**
 * 普通商户
 */
namespace app\allwin\validate;
use think\Validate;

class Mch extends Validate{

    protected $rule = [
        'openid'     => 'require',
        'mchid'      => 'require|integer',
        'name'       => 'require',
        'total_fee'  => 'require|integer',
        'order_no'   => 'require',
        'publickey'  => 'require',
        'sign'       => 'require',
    ];

    protected $message = [
        'openid'     => 'openid不能为空',
        'mchid'      => '商户ID不能为空',
        'name'       => '标题不能为空',
        'total_fee'  => '付款金额不能为空',
        'order_no'   => '订单号不能为空',
        'publickey'  => '公钥不能为空',
        'sign'       => '签名不能为空',
    ];

    protected $scene = [
        'dopay' => ['openid','mchid','name','total_fee','order_no','publickey','sign'], //后台提现审核
    ];
}