/*
Navicat MySQL Data Transfer

Source Server         : 本地开发
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : wechat

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2020-12-18 10:31:08
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for ai_bestbao_ask
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_ask`;
CREATE TABLE `ai_bestbao_ask` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `is_ad` tinyint(2) DEFAULT NULL,
  `ad_img` varchar(255) DEFAULT NULL,
  `is_top` tinyint(2) DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `note` varchar(255) DEFAULT NULL,
  `content` text,
  `answer` text,
  `price` decimal(10,2) DEFAULT '0.00',
  `like` int(11) DEFAULT '0',
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='知识库';

-- ----------------------------
-- Table structure for ai_bestbao_ask_category
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_ask_category`;
CREATE TABLE `ai_bestbao_ask_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品目录';

-- ----------------------------
-- Table structure for ai_bestbao_ask_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_ask_order`;
CREATE TABLE `ai_bestbao_ask_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `ask_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `amount` decimal(10,0) DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `order_no` varchar(255) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `paid_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='购买列表';

-- ----------------------------
-- Table structure for ai_bestbao_card
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_card`;
CREATE TABLE `ai_bestbao_card` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `content` text,
  `logo` varchar(100) DEFAULT NULL,
  `phone` varchar(50) DEFAULT '0',
  `email` varchar(50) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `longitude` decimal(10,7) DEFAULT NULL,
  `latitude` decimal(10,7) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='公司名片';

-- ----------------------------
-- Table structure for ai_bestbao_category
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_category`;
CREATE TABLE `ai_bestbao_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `note` varchar(50) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品目录';

-- ----------------------------
-- Table structure for ai_bestbao_config
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_config`;
CREATE TABLE `ai_bestbao_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `type` tinyint(2) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='配置';

-- ----------------------------
-- Table structure for ai_bestbao_engineer
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_engineer`;
CREATE TABLE `ai_bestbao_engineer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `occupation` varchar(50) DEFAULT NULL,
  `about` varchar(255) DEFAULT NULL,
  `level` tinyint(2) DEFAULT '1',
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工程师';

-- ----------------------------
-- Table structure for ai_bestbao_information
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_information`;
CREATE TABLE `ai_bestbao_information` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `note` varchar(255) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `content` text,
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章内容';

-- ----------------------------
-- Table structure for ai_bestbao_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_order`;
CREATE TABLE `ai_bestbao_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `engineer_id` int(11) DEFAULT '0',
  `product_id` int(11) DEFAULT NULL,
  `state` tinyint(2) DEFAULT '0',
  `title` varchar(50) DEFAULT NULL,
  `question` varchar(255) DEFAULT NULL,
  `real_question` varchar(255) DEFAULT NULL,
  `answer` varchar(255) DEFAULT NULL,
  `accessories` varchar(255) DEFAULT NULL,
  `imgs` text,
  `sound` varchar(255) DEFAULT NULL COMMENT '录音文件',
  `video` varchar(255) DEFAULT NULL COMMENT '视频',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  `realname` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `urgent` tinyint(2) DEFAULT '0',
  `buy_types` varchar(255) DEFAULT NULL,
  `server_types` varchar(255) DEFAULT NULL,
  `accessories_price` decimal(10,2) DEFAULT NULL,
  `service_price` decimal(10,2) DEFAULT NULL,
  `discount_price` decimal(10,2) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT NULL,
  `order_no` varchar(100) DEFAULT NULL,
  `solve_time` int(11) DEFAULT NULL,
  `rate` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_bestbao_process
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_process`;
CREATE TABLE `ai_bestbao_process` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `engineer_id` int(11) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工程师流转';

-- ----------------------------
-- Table structure for ai_bestbao_product
-- ----------------------------
DROP TABLE IF EXISTS `ai_bestbao_product`;
CREATE TABLE `ai_bestbao_product` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `code` varchar(100) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `images` varchar(255) DEFAULT NULL,
  `note` varchar(255) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET FOREIGN_KEY_CHECKS=1;
