/*
Navicat MySQL Data Transfer

Source Server         : 本地开发
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : wechat

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2020-12-18 10:30:33
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for ai_ais_city
-- ----------------------------
DROP TABLE IF EXISTS `ai_ais_city`;
CREATE TABLE `ai_ais_city` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  `code` bigint(12) DEFAULT NULL COMMENT '行政区划代码',
  `name` varchar(32) DEFAULT NULL COMMENT '名称',
  `parent_id` bigint(11) DEFAULT NULL COMMENT '上级id',
  `level` varchar(32) DEFAULT NULL COMMENT 'level_id',
  `sort` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys`;
CREATE TABLE `ai_citys` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `type_id` int(11) DEFAULT NULL,
  `cate_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `themes` text,
  `fields` text,
  `telphone` varchar(255) DEFAULT NULL,
  `url_slogan` varchar(255) DEFAULT NULL,
  `links` varchar(255) DEFAULT NULL,
  `is_get` tinyint(2) DEFAULT '0' COMMENT '是否获取用户信息',
  `send_price` decimal(10,2) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT '0.00' COMMENT '获取用户价格',
  `video` varchar(255) DEFAULT NULL,
  `images` text,
  `is_top` int(11) DEFAULT '0',
  `topday` int(11) DEFAULT NULL,
  `top_money` decimal(10,2) DEFAULT '0.00',
  `is_pay` tinyint(1) DEFAULT '0',
  `is_lock` tinyint(1) DEFAULT '0',
  `is_end` tinyint(1) DEFAULT '0' COMMENT '已结束',
  `is_pay_time` int(11) DEFAULT '0',
  `order_no` varchar(100) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `views` int(11) DEFAULT '0' COMMENT '阅读人数',
  `like` int(11) DEFAULT '0' COMMENT '点赞人数',
  `like_face` text,
  `reply_num` int(11) DEFAULT '0' COMMENT '评论人数',
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_adwords
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_adwords`;
CREATE TABLE `ai_citys_adwords` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT '0',
  `open_type` varchar(50) DEFAULT NULL,
  `group` varchar(100) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `link` varchar(200) DEFAULT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_cate
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_cate`;
CREATE TABLE `ai_citys_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `picture` varchar(100) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT '0.00',
  `phone` decimal(10,2) DEFAULT '0.00',
  `tpl_id` int(11) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='信息栏目';

-- ----------------------------
-- Table structure for ai_citys_config
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_config`;
CREATE TABLE `ai_citys_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `top` varchar(255) DEFAULT NULL COMMENT '置顶',
  `charge` tinyint(4) DEFAULT '0',
  `vip` int(11) DEFAULT '0',
  `phone` decimal(10,2) DEFAULT '0.00',
  `mch_id` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_follow
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_follow`;
CREATE TABLE `ai_citys_follow` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `like_uid` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='关注与取消';

-- ----------------------------
-- Table structure for ai_citys_mp
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_mp`;
CREATE TABLE `ai_citys_mp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `logo` varchar(255) DEFAULT NULL,
  `skin` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `note` varchar(255) DEFAULT NULL,
  `tags` text,
  `fans` int(255) DEFAULT '0',
  `is_vip` tinyint(1) DEFAULT '0',
  `is_apply` tinyint(1) DEFAULT '0',
  `vip_title` varchar(100) DEFAULT NULL,
  `vip_about` varchar(255) DEFAULT NULL,
  `vip_time` int(11) DEFAULT NULL,
  `reg_time` int(11) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_order
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_order`;
CREATE TABLE `ai_citys_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `info_id` int(11) DEFAULT NULL,
  `info_uid` int(11) DEFAULT NULL,
  `uid` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT '0',
  `is_del` tinyint(1) DEFAULT '0',
  `phone` varchar(255) DEFAULT NULL,
  `amount` decimal(10,2) DEFAULT '0.00' COMMENT '单商品价格总额',
  `order_no` varchar(50) DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `fields` text,
  `cache` text,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ORDER_NO` (`order_no`) USING BTREE,
  KEY `IS_DEL` (`is_del`) USING BTREE,
  KEY `STATUS` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_page
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_page`;
CREATE TABLE `ai_citys_page` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `member_miniapp_id` int(11) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL COMMENT '客服电话',
  `disclaimer` text COMMENT '免责申明',
  `fraud` text,
  `about` text COMMENT '关于我们',
  `agreement` text COMMENT '服务协议',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_phone
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_phone`;
CREATE TABLE `ai_citys_phone` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `info_id` int(11) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT NULL,
  `order_no` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `paid_at` tinyint(1) DEFAULT '0',
  `paid_time` int(11) DEFAULT NULL,
  `paid_no` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for ai_citys_reply
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_reply`;
CREATE TABLE `ai_citys_reply` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `info_id` int(11) DEFAULT NULL,
  `reply` varchar(255) DEFAULT NULL,
  `like` int(11) DEFAULT '0',
  `create_time` int(11) DEFAULT NULL,
  `state` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_share
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_share`;
CREATE TABLE `ai_citys_share` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) DEFAULT NULL,
  `info_id` bigint(20) DEFAULT NULL,
  `views` int(11) DEFAULT NULL,
  `times` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ai_citys_tpl
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_tpl`;
CREATE TABLE `ai_citys_tpl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `name` varchar(20) DEFAULT NULL,
  `is_shop` tinyint(1) DEFAULT '0',
  `button_name` varchar(20) DEFAULT NULL,
  `tips` varchar(255) DEFAULT NULL,
  `users` text,
  `fields` text,
  `update_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品规格';

-- ----------------------------
-- Table structure for ai_citys_type
-- ----------------------------
DROP TABLE IF EXISTS `ai_citys_type`;
CREATE TABLE `ai_citys_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_miniapp_id` int(11) DEFAULT NULL,
  `title` varchar(50) DEFAULT NULL,
  `sort` int(11) DEFAULT '0',
  `phone` decimal(10,2) DEFAULT '0.00',
  `price` decimal(10,2) DEFAULT '0.00',
  `endtips` varchar(255) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ID` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='信息栏目';

-- ----------------------------
-- Table structure for ai_wuliu_city
-- ----------------------------
DROP TABLE IF EXISTS `ai_wuliu_city`;
CREATE TABLE `ai_wuliu_city` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
  `code` bigint(12) DEFAULT NULL COMMENT '行政区划代码',
  `name` varchar(32) DEFAULT NULL COMMENT '名称',
  `parent_id` bigint(11) DEFAULT NULL COMMENT '上级id',
  `level` varchar(32) DEFAULT NULL COMMENT 'level_id',
  `sort` int(11) DEFAULT '0',
  `latitude` varchar(255) DEFAULT NULL,
  `longitude` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET FOREIGN_KEY_CHECKS=1;
